Community

Subscribe
Highlighted
Accepted Solution

Pirate V2.0 and vCenter 5.1

Hi folk and thank a lot for this terrific software.

I'm trying to use WFA 2.0, vCenter 5.1 (VSC 4.1 is installed on) and Pirate V2.0 in order to provision VMFS datastore. I encounter some problems.

First of all, vCenter isn't registred in "Data sources" because of 5.1 isn't supported yet. Nevertheless, Pirate Pack 2.0 could support it, I'm right ?

Secondly, when I'm executing "VMware FCP Datastore" Workflow, the wizard is asking some inputs :

I'm not able to fill "vCenter IP" and "ESX Cluster Name". I guess the wizard suggest me some inputs but there is nothing, vCenter isn't registred (I'm in 5.1). Where WFA could find out about vCenter credentials ? How it could work ?

Finally, whether I bypass these fields by modifying the workflow like this,

I get this error in preview pane when executing.

I'm a newbie with this tool, so I'm really sorry if my questions are basic

Thanks a lot !

Mathias

Re: Pirate V2.0 and vCenter 5.1

Presently, WFA 2.0 does not officially support vCenter 5.x as a datasource.  It works for the most part but your mileage will vary.  We are working on an official update to support 5.x. 

The workflow is expecting that you have a datasource to your vCenter server.  This is why the inputs were locked down.  You can unlock the inputs and then enter them manually.  This can be done by going into Preferences > User Inputs and unchecking the Lock Values option.  The first screen shot shows that you set the values as variables instead of text.  To fix this, you will need to put quotes around the vCenter IP and Esx Cluster values.

The likely reason for the preview failure is that the variables are being used instead of values.  Was there an actual error message at the top?

Regarding connection to vCenter 5.1: as I said, I have had this work fine in both of my labs.  It is not officially supported at this time.  The only thing that I had to ensure that I did was rename the local datastore in each of the ESX servers to ensure that they were not identically named.

Jeremy Goodrum, NetApp

The Pirate

Twitter: @virtpirate

Blog: www.virtpirate.com

Re: Pirate V2.0 and vCenter 5.1

Hi Jeremy and thank you for your quick reply.

If I understand correctly, vCenter 5.1 isn't officialy supported at this point but I have to set up my VCenter 5.1 as data source and some stuffs should work. I'm correct ? Basically, I cannot connect my vCenter but maybe I'm encountering other problems...

The message on the top was : 'Failed to register loop variable for row #2'

Regards,

Mathias

Re: Pirate V2.0 and vCenter 5.1

Yes, 5.1 does work but not everything and no guarantees.  Here is what I would do next:

1) Change the user inputs to be unlocked for vCenter and EsxCluster

2) Enter the correct value for the IP and the cluster name

3) Try to preview again

The failure to register is due to an issue determining either the next Lun ID or the next Volume ID.  Make sure that you have a successful update of your DFM Datasource. If you want, send me the wfa.log file after attempting the above action plan. 

Jeremy Goodrum, NetApp

The Pirate

Twitter: @virtpirate

Blog: www.virtpirate.com

Re: Pirate V2.0 and vCenter 5.1

I did with the same problem. So, to be clear, I have only my DFM server (OnCommand 5.0 UM) configured as "Data Sources". Besides, I'm not sure to understant how WFA could run command on vCenter (no credential is registred).

You can find the log in my post.

Best regards,

Mathias

Re: Pirate V2.0 and vCenter 5.1

Ok, I figured out what happened.  I compressed an older copy.  I just pulled out a new (re-tested) version.  I had made a change where I pulled out an old FindChart and apparently I didn't update a variable name.  I have just uploaded version 2.1 to the page.

Re: Pirate V2.0 and vCenter 5.1

Hi Jeremy,

Again, thanks a lot for your help. It really better right now. Basically I did 2 stuffs :

- I downloaded and installed your update

- I registered my VC : SQL server wasn't listening port 1433

I ecnounter another problem, but I think, not so serious ;-) The HBA rescan doesn't work and I get this message : "No snap-ins have been registered for Windows PowerShell version 2."

I have to install PowerShell somewhere ? On the WFA server ? On the vCenter ?

Thanks a lot, I hope it will be the last time I bother you.

Mathias

Re: Pirate V2.0 and vCenter 5.1

You need to install VMware's Powercli Toolkit.  I tested with 5.0 and 5.1 with no issues.  Powercli needs to be installed on the WFA server.

Sorry for the delay, I stopped getting email updates for some reason.

Jeremy Goodrum, NetApp

The Pirate

Twitter: @virtpirate

Blog: www.virtpirate.com

Re: Pirate V2.0 and vCenter 5.1

Hi Jeremy,

Sorry for the delay, I missed your answer. Bascially since my last post I've installed VMware's PowerCli  :

The first time I ran this workflow again, I got this error :

I saw in your code where the problem occured :

# get credentials

Get-WFALogger -Info -message $("Get-NaCredentials -Host " + $ViCenterIp)

$credentials = Get-NaCredentials -Host $ViCenterIp

if(!$credentials)

{

    $msg = "No command credential found for identifier: " + $ViCenterIp

    throw $msg

}

and I saw that your code is looking for vCenter credentials in WFA config. I added that credentials in WFA :

Finally, perfect ! It works !

Thanks a lot !

Mathias

Re: Pirate V2.0 and vCenter 5.1

I am glad to hear that you were able to get things rolling.  I will update the Pirate Pack documents to cover these topics to help others not going through the same pain.

Let me know if you run into any other issues or ideas for new workflows.

Jeremy Goodrum, NetApp

The Pirate

Twitter: @virtpirate

Blog: www.virtpirate.com